Tspi_Policy_SetSecret(3)

NAME
Tspi_Policy_SetSecret - set the authorization data of a policy object and define the handling of its retrieval

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Policy_SetSecret(TSS_HPOLICY hPolicy,        TSS_FLAG secretMode,
                                 UINT32      ulSecretLength, BYTE*    rgbSecret);

DESCRIPTION

TSS_Policy_SetSecret sets the authorization data for an object. This mthod also defines the handling of its retrieving. There are mand different paths as specified by the secretMode Flag.

PARAMETERS

  hPolicy
The handle of the policy object.

  secretMode
Flag indicating the policy secret mode to set. Possible values are:
 TSS_SECRET_MODE_SHA1 - Secret in the form of 20 bytes of SHA-1 data. The secret will not be touched by the TSP.
 TSS_SECRET_MODE_PLAIN - The data passed in will be hashed by the TSP using SHA-1.
 TSS_SECRET_MODE_POPUP - The TSP will ask for a secret by displaying a GUI pop-up window.
 TSS_SECRET_MODE_CALLBACK - The application will provide a callback function for authorization data.
 TSS_SECRET_MODE_NONE - ulSecretLen and rgbSecret are ignored and any object requiring auth assigned this policy will return an error.

  ulSecretLength
The length (in bytes) of the rgbSecret parameter.

  rgbSecret
The secret data blob.

RETURN CODES

Tspi_Policy_SetSecret returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - hPolicy is an invalid parameter.

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_Policy_SetSecret conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Policy_FlushSecret(3).